//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for size-unitValueList.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="size-unitValueList">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *     &lt;enumeration value="byte"/>
 *     &lt;enumeration value="char"/>
 *     &lt;enumeration value="col"/>
 *     &lt;enumeration value="cm"/>
 *     &lt;enumeration value="dlgunit"/>
 *     &lt;enumeration value="em"/>
 *     &lt;enumeration value="ex"/>
 *     &lt;enumeration value="glyph"/>
 *     &lt;enumeration value="in"/>
 *     &lt;enumeration value="mm"/>
 *     &lt;enumeration value="percent"/>
 *     &lt;enumeration value="pixel"/>
 *     &lt;enumeration value="point"/>
 *     &lt;enumeration value="row"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "size-unitValueList")
@XmlEnum
public enum SizeUnitValueList {


    /**
     * Indicates a size in 8-bit bytes.
     * 
     */
    @XmlEnumValue("byte")
    BYTE("byte"),

    /**
     * Indicates a size in Unicode characters.
     * 
     */
    @XmlEnumValue("char")
    CHAR("char"),

    /**
     * Indicates a size in columns. Used for HTML text area.
     * 
     */
    @XmlEnumValue("col")
    COL("col"),

    /**
     * Indicates a size in centimeters.
     * 
     */
    @XmlEnumValue("cm")
    CM("cm"),

    /**
     * Indicates a size in dialog units, as defined in Windows resources.
     * 
     */
    @XmlEnumValue("dlgunit")
    DLGUNIT("dlgunit"),

    /**
     * Indicates a size in 'font-size' units (as defined in CSS).
     * 
     */
    @XmlEnumValue("em")
    EM("em"),

    /**
     * Indicates a size in 'x-height' units (as defined in CSS).
     * 
     */
    @XmlEnumValue("ex")
    EX("ex"),

    /**
     * Indicates a size in glyphs. A glyph is considered to be one or more combined Unicode characters that represent a single displayable text character. Sometimes referred to as a 'grapheme cluster'
     * 
     */
    @XmlEnumValue("glyph")
    GLYPH("glyph"),

    /**
     * Indicates a size in inches.
     * 
     */
    @XmlEnumValue("in")
    IN("in"),

    /**
     * Indicates a size in millimeters.
     * 
     */
    @XmlEnumValue("mm")
    MM("mm"),

    /**
     * Indicates a size in percentage.
     * 
     */
    @XmlEnumValue("percent")
    PERCENT("percent"),

    /**
     * Indicates a size in pixels.
     * 
     */
    @XmlEnumValue("pixel")
    PIXEL("pixel"),

    /**
     * Indicates a size in point.
     * 
     */
    @XmlEnumValue("point")
    POINT("point"),

    /**
     * Indicates a size in rows. Used for HTML text area.
     * 
     */
    @XmlEnumValue("row")
    ROW("row");
    private final String value;

    SizeUnitValueList(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static SizeUnitValueList fromValue(String v) {
        for (SizeUnitValueList c: SizeUnitValueList.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
